; Fichier InnoSetup de cration de l'installeur du Client Scribe
; utilisation :
;  cliscribe-updater-setup.exe /ip_scribe=<adresse_ip_scribe>
;                              /port_scribe_update=<port_scribe_update> (port du serveur de fichier de contole-vnc 8790)
; utilisation de IStools http://www.istool.org/ pour l'importation de ".reg"

[Setup]
AppName=MAJ Client Scribe
; AppId sert  reconnaitre l'application
AppId=CliScribe-updater
AppVerName=Service MAJ du Client Scribe 1.0
DefaultDirName={win}\Eole
; interdit la modification du chemin d'installation
DisableDirPage=true
; interdit la modification du chemin de copie des icnes
DisableProgramGroupPage=true
OutputDir=C:
OutputBaseFilename=cliscribe-updater-setup
PrivilegesRequired=admin
AllowCancelDuringInstall=false
SetupIconFile=eole.ico
UninstallDisplayIcon={app}\updater\servupdate.exe
;WizardImageFile=eole.bmp
WizardImageFile=logo-eole.bmp
WizardSmallImageFile=eole.bmp


[Languages]
Name: english; MessagesFile: compiler:Default.isl
Name: french; MessagesFile: compiler:Languages\French.isl

[Files]
Source: C:\WINDOWS\Eole\updater\*; DestDir: {app}\updater; Flags: ignoreversion recursesubdirs createallsubdirs restartreplace uninsrestartdelete

[Registry]
; client Scribe
Root: HKLM; Subkey: Software\Eole\Scribe; ValueType: string; ValueName: ip_scribe; ValueData: {param:ip_scribe|1.1.1.1}
Root: HKLM; Subkey: Software\Eole\Scribe; ValueType: string; ValueName: inst_path; ValueData: {app}
Root: HKLM; Subkey: Software\Eole\Scribe; ValueType: string; ValueName: port_scribe_update; ValueData: {param:port_scribe_update|8790}
Root: HKLM; Subkey: Software\Eole\Scribe; ValueType: string; ValueName: port_client; ValueData: {param:port_client|8788}
Root: HKLM; Subkey: Software\Eole\Scribe; ValueType: string; ValueName: port_scribe; ValueData: {param:port_scribe|8789}
Root: HKLM; Subkey: Software\Eole\Scribe; ValueType: string; ValueName: port_utilisateur; ValueData: {param:port_utilisateur|8791}
Root: HKLM; Subkey: Software\Eole\Scribe; ValueType: string; ValueName: nom_scribe; ValueData: {param:nom_scribe|scribe}
Root: HKLM; Subkey: Software\Eole\Scribe; ValueType: string; ValueName: nom_domaine; ValueData: {param:nom_domaine|workgroup}
Root: HKLM; Subkey: Software\Eole\Scribe; ValueType: string; ValueName: inst_args; ValueData: {param:inst_args|None}

; seulement pour 98
Root: HKLM; Subkey: Software\Microsoft\Windows\CurrentVersion\Run; ValueType: string; ValueName: update_scribe; ValueData: {app}\updater\updater.exe; Flags: uninsclearvalue; MinVersion: 4.0.950,0

[Run]
; installation du service (XP seulement)
Filename: {app}\updater\servupdate.exe; Parameters: -install -auto -interactive; Flags: runhidden; MinVersion: 0,4.0.1381
; il dmarrera au prochain redmarrage et installera le client Scribe
;Filename: {app}\updater\updater.exe; Parameters: -ns
;Filename: {app}\cliscribe\logon.exe

[UninstallRun]
; XP
Filename: {sys}\net.exe; Parameters: stop servupdate; Flags: runhidden; MinVersion: 0,4.0.1381
Filename: {sys}\sc.exe; Parameters: delete servupdate; Flags: runhidden; MinVersion: 0,4.0.1381
