#!/usr/bin/env python
# _*_ coding: iso-8859-15 _*_

from distutils.core import setup
import py2exe
import os, shutil

dist_dir = "updater"
if os.path.exists(dist_dir):
    shutil.rmtree(dist_dir)

if os.path.exists("build"):
    shutil.rmtree("build")

opts = {"py2exe": {
                   "dist_dir": dist_dir,
                   "packages":["encodings",],
                   "optimize":2,
}}

setup(name = 'updater',
      version = '1.0',
      description = 'Utilitaire de mise  jour du client Scribe',
      author = 'Eole',
      author_email = 'eole@ac-dijon.fr',
      options=opts,
      url = 'http://eole.orion.education.fr/diffusion',
      windows = [{'script': 'updater.py',
                  'icon_resources': [(1, 'eole.ico')]
                }],
      service = [{'modules': 'servupdate',
                  'icon_resources': [(1, 'eole.ico')]
                }],
      data_files=[('', ['gdiplus.dll', 'MSVCP71.dll'])]
      )


