# _*_ coding: iso-8859-1 _*_
#!/usr/bin/env python

from distutils.core import setup
import py2exe
import os, shutil

if os.path.exists("dist"):
    shutil.rmtree("dist")

if os.path.exists("build"):
    shutil.rmtree("build")

opts = {"py2exe": {
                   "packages":["encodings",],
                   "optimize":2,
                    }
        }

setup(name="Installeur d'applications",
      options=opts,
      version="1.0",
      description="",
      author="Eole",
      author_email="eole@ac-dijon.fr",
      url="http://eole.orion.education.fr/diffusion",
      windows=[{
          "script":'app-install.py',
          "icon_resources":[(1, "eole.ico")]
          }],
      console=[{
          "script":'app-install-cmdline.py',
          "icon_resources":[(1, "eole.ico")]
          }],
      data_files=[("", []),("",
                   ["banniere.jpg", "eole.ico", "gdiplus.dll"])] # gdiplus.dll ncessaire depuis wxpython-2.7
)
